Package org.jboss.classfilewriter.code

# Enum Class StackFrameType

java.lang.Object
java.lang.Enum<StackFrameType>
org.jboss.classfilewriter.code.StackFrameType

All Implemented Interfaces:
  `Serializable`, `Comparable<StackFrameType>`, `Constable`

public enum StackFrameType extends Enum<StackFrameType>
The frame type for the StackMapTable

Author:
  Stuart Douglas

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`APPEND_FRAME`
`CHOP_FRAME`
`FULL_FRAME`
`SAME_FRAME`
`SAME_FRAME_EXTENDED`
`SAME_LOCALS_1_STACK`

## Method Summary

Modifier and Type
Method
Description
`static StackFrameType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StackFrameType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SAME_FRAME

public static final StackFrameType SAME_FRAME

### SAME_LOCALS_1_STACK

public static final StackFrameType SAME_LOCALS_1_STACK

### CHOP_FRAME

public static final StackFrameType CHOP_FRAME

### SAME_FRAME_EXTENDED

public static final StackFrameType SAME_FRAME_EXTENDED

### APPEND_FRAME

public static final StackFrameType APPEND_FRAME

### FULL_FRAME

public static final StackFrameType FULL_FRAME

## Method Details

### values

public static StackFrameType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StackFrameType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null